%define rel 2
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: Linux UDF Filesystem userspace utilities
Name: udftools
Version: 1.0.0b2
Release: %{rel}%{rhtag}
License: GPL
Group: Applications/Archiving
Source: http://unc.dl.sourceforge.net/sourceforge/linux-udf/%{name}-%{version}.tar.gz
Url: http://linux-udf.sourceforge.net
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
Requires: libudffs

%description
Linux UDF Filesystem userspace utilities

%package -n libudffs
Summary: UDF filesystem library
Group: System Environment/Libraries

%description -n libudffs
shared library for UDF filesystem

%package -n libudffs-devel
Summary: UDF filesystem development libraries
Group: System Environment/Libraries
Requires: libudffs

%description -n libudffs-devel
static libraries and header files for UDF filesystem

%prep
%setup

%build
%configure --enable-shared
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_includedir}/udf
cp include/*.h %{buildroot}%{_includedir}/udf

%clean
rm -rf %{buildroot}

%post
PKTCDVD_MAJOR=97
for i in `seq 0 255`; do
        if [ ! -b /dev/pktcdvd${i} ]; then
                rm -f /dev/pktcdvd${i}
                mknod -m 660 /dev/pktcdvd${i} b ${PKTCDVD_MAJOR} ${i}
                chown root.disk /dev/pktcdvd${i}
        fi
done

%post -n libudffs
/sbin/ldconfig

%postun -n libudffs
/sbin/ldconfig

%files
%defattr(0644, root, root, 0755)
%attr(0755, root, root) %{_bindir}/*
%{_mandir}/*/*

%files -n libudffs
%defattr(0644, root, root, 0755)
%attr(0755, root, root) %{_libdir}/libudffs.so*

%files -n libudffs-devel
%defattr(0644, root, root, 0755)
%{_libdir}/libudffs.*a*
%{_includedir}/udf
